﻿delete from pers_tel where "alutec_nr" is not null;

  INSERT INTO "pers_tel"  
         ( "nr",   
           "typ",   
           "pers_typ",   
           "pers_nr",   
           "lfd_nr",   
           "adr_nr",   
           "funktions_schl",   
           "tel",   
           "name",   
           "fax",   
           "email",   
           "kommentar",   
           "geburtstag",   
           "geschlecht",   
           "vorname",   
           "anrede",   
           "titel",   
           "ausgeschieden",   
           "privat_tel",   
           "hybrid",   
           "alutec_nr" )  
select 		COALESCE((select max(nr) from pers_tel),0) + number(),
				10,
				pers.typ,
				pers.nr,
				dueb_pers_tel.nummer,
				0,   
           IF COALESCE(dueb_pers_tel.gruppe,'') > '' THEN dueb_pers_tel.gruppe ELSE '-' ENDIF,   
           dueb_pers_tel."telefon",   
           dueb_pers_tel."nachname",   
           dueb_pers_tel."telefax",   
           dueb_pers_tel."email",   
           dueb_pers_tel."memo",   
           dueb_pers_tel."geburtsdatum",   
           IF dueb_pers_tel."anrede" = 'Herr' THEN 'm' ELSE IF dueb_pers_tel."anrede" = 'Frau' THEN 'w' ELSE '' ENDIF ENDIF,   
           dueb_pers_tel."vorname",   
           dueb_pers_tel."Briefanrede",   
           dueb_pers_tel."titel",   
           0,   
           dueb_pers_tel."TelefonPrivat",   
           'PERS_TEL^' + CAST(COALESCE((select max(nr) from pers_tel),0) + number() AS CHAR),   
           dueb_pers_tel.nummer
from pers, dueb_pers_tel
where dueb_pers_tel.adresse = pers.ind_long_01
;